 ==========================================================
|	CHANGELOG: WinnerMicro Software Development Kit	   |
        版本号说明：GV.X.Y
        V：表示W600的SDK的版本号，版本号2,3，.... 版本2为前期版本，3为新版本
        X: 表示SDK的RELEASE版本号,0,1,2,3,5,6......FF，版本从0开始
        Y：表示PATCH号：00：表示基础版本号，1,2,3,4,5,6......FF
 ==========================================================

W600 SDK G3.04.00 | 2019/08/27
==========================
重要提示：因QFLASH布局的变更，需要注意
  * 已经使用G2.x.x版本的现有开发者的模块，第一次使用G3.x.x版本，需要先升级G3.x.x编译生成的FLS文件。
  * G3.x.x版本的OTA、xmodem和EM-WIFI升级使用IMAGE，优先考虑使用WM_W600_GZ.img升级，
    因为升级区空间压缩，WM_W600_SEC.img过大会导致升级失败。
  * 已使用G3.x.x版本的客户，如果要回退到G2.x.x版本，也需要先升级G2.x.x编译生成的FLS文件
  
  * 增加2M Flash支持后，要使用2M布局，必须先升级secboot
  * 增加2M Flash支持后，Flash布局分为1M布局和2M布局，两种布局之间升级需要使用FLS文件升级才能切换
==========================
************
SDK修改部分
************
  * 增加https demo
  * 增加mqtt demo

  * 优化STA的联网时间
  * 默认打开STA的快联功能
  * 解决节能模式下，路由长时间指示有数据而无法睡眠的问题
  * 解决主动断网不睡眠的问题
  * 解决最大速率设置无效问题

  * softap功能优化
  * 解决AP STA共存时，有时AP无法创建的问题
  * 增加softap最大连接数设置接口
  * 增加softap主动踢掉STA的接口

  * 优化配网锁定信道

  * 解决某些IO复用功能配置时，默认未打开上拉功能 
  * 优化UART初始化接口，解决函数重入时内存不释放的问题
  * 优化Flash的写接口，避免同一区域写操作过程中多次擦除动作

  * 优化仪器测试物理层性能功能
  * 增加设置发包间隔接口及AT指令
  * 增加仪器测试写增益的AT指令

  * 增加UART2可做调试口的宏切换

  * 更新固件生成工具
  * 更新secboot，默认支持免仪器测试功能，并优化其启动时间
  * 更新SWD的QFLASH驱动，解决烧录完成后无法正常启动的问题

  代码清理
  * 清理并格式化DEMO
  * 清除LWIP1.4.1代码
  * 清理汇编代码中的中断注释
  * 清理编译开关
  * 清理无效的应用代码
  * 整理头文件的注释

W600 SDK G3.02.00 | 2019/03/01
==========================
重要提示：因QFLASH布局的变更，需要注意
  * 已经使用G2.x.x版本的现有开发者的模块，第一次使用G3.x.x版本，需要先升级G3.x.x编译生成的FLS文件。
  * G3.x.x版本的OTA、xmodem和EM-WIFI升级使用IMAGE，优先考虑使用WM_W600_GZ.img升级，
    因为升级区空间压缩，WM_W600_SEC.img过大会导致升级失败。
  * 已使用G3.x.x版本的客户，如果要回退到G2.x.x版本，也需要先升级G2.x.x编译生成的FLS文件
  
  * 增加2M Flash支持后，要使用2M布局，必须先升级secboot
  * 增加2M Flash支持后，Flash布局分为1M布局和2M布局，两种布局之间升级需要使用FLS文件升级才能切换
==========================
************
SDK修改部分
************
  * 增加对2M功能的支持
  
  * 解决DHCP租约时间过短时无法检测的问题
  * 解决socket可能会创建不了的问题
  * 解决网络状态不同步的问题

  * 解决节能模式下，管理帧可能耗尽导致的无法联网问题
  * 解决14信道扫描和联网的问题
  
  * 优化配网功能

***********
文档修改部分
***********
  * 更新《WM_W60X_AT指令用户手册》
  * 更新《WM_W60X_SWD调试配置指南》
  * 更新《W60X_APIs.chm》
***********
文档更名
***********
 
W600 SDK G3.01.00 | 2018/12/10
==========================
重要提示：因QFLASH布局的变更，需要注意
  * 已经使用G2.x.x版本的现有开发者的模块，第一次使用G3.x.x版本，需要先升级G3.x.x编译生成的FLS文件。
  * G3.x.x版本的OTA、xmodem和EM-WIFI升级使用IMAGE，优先考虑使用WM_W600_GZ.img升级，
    因为升级区空间压缩，WM_W600_SEC.img过大会导致升级失败。
  * 已使用G3.x.x版本的客户，如果要回退到G2.x.x版本，也需要先升级G2.x.x编译生成的FLS文件
==========================
************
SDK修改部分
************
  * 更新secboot文件，使能UART的RX上拉功能，解决UART会有随机数据导致复位启动失败的问题
  
  * 修改长时间工作模块断网重连的问题
  * 修改扫描结果结构体，增加最大支持速率和WPS支持标志
  * 修改使用Wi-Fi过滤的功能，解决模块干扰其他设备的问题
  * 修改节能模式下数据通信的问题
  * 修改节能模式下40M信道切换的问题
  * 修复40M信道下通信距离的问题
  * 修改11n的降速机制
  * 修改加网过程中断网，会上报加网失败的问题
  * 默认关闭WPS功能，提供带WPS的Lib
  
  * 优化Airkiss配网功能
  * 修复AP配网下，关闭配网模式时未恢复工作模式的问题

  * 增加7816的DEMO
  * 增加ADC、LCDC的驱动，支持W601芯片功能
  * 修改HTTP客户端关闭时，指针重复释放的问题

  * 修复GCC使用-O0等级优化编译后无法启动的问题

  * 默认打开SWD调试功能
  * 提供GCC下编译生成带头信息的IMAGE文件（W600_DBG.img）生成工具
  * 更新EM-WiFi工具至V1.0.12版本，解决网络扫描显示加密信息错误的问题

***********
文档修改部分
***********
  * 更新《WM_W60X_AT指令用户手册》
  * 更新《WM_W60X_SWD调试配置指南》
  * 更新《W60X_APIs.chm》
***********
文档更名
***********


W600 SDK G3.00.00 | 2018/10/31
==========================
重要提示：因QFLASH布局的变更，需要注意
  * 已经使用G2.x.x版本的现有开发者的模块，第一次使用G3.0.0版本，需要先升级G3.0.0编译生成的FLS文件。
  * G3.0.0版本的OTA、xmodem和EM-WIFI升级使用IMAGE，优先考虑使用WM_W600_GZ.img升级，
    因为升级区空间压缩，WM_W600_SEC.img过大会导致升级失败。
  * 已使用G3.0.0版本的客户，如果要回退到G2.x.x版本，也需要先升级G2.x.x编译生成的FLS文件
==========================
************
SDK修改部分
************
  * 增加剩余内存查询接口：tls_mem_get_avail_heapsize
  * 增加Wi-Fi可发送任意自组包接口：tls_wifi_send_data
  * 默认关闭AIRKISS的局域网发现协议
  * 增加python的image生成脚本
  * 增加python的image download脚本
  * 增加从SPI的DEMO
  * 更新SWD调试的FLASH驱动文件
  * 支持secboot升级使用UART0或UART1(需要通过FLS文件升级新SECBOOT启用)
  * 增加SDK中打印消息可以使用UART0 或UART1(编译选项)
  * 重写Wi-Fi库的printf函数，避免编译环境依赖，便于移植

  * 修改WEB配网问题
  * 修改AT+SLIST查询内存越界问题
  * 修改AT+KEY查询结果
  * 修改Wi-Fi的PS-POLL模式下唤醒问题
  * 修复参数区使用的问题
  * 修改SSL SERVER的DEMO
  * 修改I2S的DEMO

***********
文档修改部分
***********
  * 增加《WM_W600_SDK用户手册》
  * 增加《WM_W600_SECBOOT功能简述》
  * 增加《WM_W600_固件升级指导》
  * 增加《WM_W600_AT指令用户手册》
  * 更新《WM_W600_SWD调试配置指南》
  * 更新原有各文档的修订记录
  * 更新《W600_APIs.chm》

W600 SDK V3.00.00_RC2 | 2018/10/16
==========================
  * secboot文件更新，解决第一升级FLS文件后，IMAGE升级不成功的问题
  * 增加image生成的源码文件

W600 SDK V3.00.00_RC1 | 2018/10/08
==========================
重要提示：因QFLASH布局的变更，需要注意
  * 已经使用G2.x.x版本的现有开发者的模块，第一次使用G3.0.0_RC1版本，需要先升级G3.0.0_RC1编译生成的FLS文件。
  * G3.0.0_RC1版本的OTA、xmodem和EM-WIFI升级使用IMAGE，优先考虑使用WM_W600_GZ.img升级，
    因为升级区空间压缩，WM_W600_SEC.img过大会导致升级失败。
  * 已使用G3.0.0_RC1版本的客户，如果要回退到G2.x.x版本，也需要先升级G2.x.x编译生成的FLS文件
==========================
  * 更新QFLASH布局及IMAGE生成工具
  * 优化PS模式
  * 修复DEMO的BUG
  * 优化一键配网功能
  * 提供一键配网APP侧Lib和DEMO

  * 更新EM-WiFi工具

  * 支持GCC编译及编译环境指导
  * 增加文档《WM_W600_SDK_GCC编译指南_V1.0.pdf》

  * 提供SWD的FLASH驱动工程文件
  * 修订文档《WM_W600_SWD调试配置指南_V1.1.pdf》

  * 修订文档《WM_W600_ROM功能简述_V1.1.pdf》
  * 修订文档《WM_W600_SDK_OS移植指导_V1.1.pdf》
  * 修订文档《WM_W600_SDK_DEMO使用指导_V0.3.pdf》
  * 修订报告《WM_W600_路由器连网兼容性测试报告_V0.3.pdf》

  * 增加Android配网文档《WM_W600_OneShotConfig2.0(Android) SDK用户手册_V1.0.pdf》
  * 增加IOS配网文档《WM_W600_OneShotConfig2.0(IOS) SDK用户手册_V1.0.pdf》
  * 增加SDK侧配网文档《WM_W600_一键配网使用指导_V1.0.pdf》

  * 增加文档《WM_W600_QFLASH布局说明_V1.0.pdf》
  * 增加文档《WM_W600_参数区使用说明_V1.1.pdf》
  * 增加文档《WM_W600_固件生成说明_V1.1.pdf》

  * 增加报告《WM_W600配网兼容性测试报告（AirKiss）_V0.3.pdf》
  * 增加报告《WM_W600配网兼容性测试报告（OneShotConfig）_V0.3.pdf》

W600 SDK V2.02.08 | 2018/09/21
==========================
  * 修复降速机制发现的问题
  * 修复RSSI接收信号强度不准的问题
  * 修复系统参数不保存的问题
  * 修复节能模式断网的问题
  * 修复LWIP1.4.1版本某些网络环境下DNS解析失败的问题
  * 添加文档《W600 ROM功能简述》
  * 添加文档《W600 芯片SWD调试配置指南》
  * 添加文档《W600_SDK OS移植指导》
  * 更新文档《W600_APIs.chm》
  * 添加文档《W600_SDK DEMO运行指南》
  * 添加文档《W600_SDK路由器连网兼容性测试报告》

W600 SDK V2.02.07 | 2018/08/15
==========================
  * 合入AP+WEB SERVER配网模式
  * 更新二级BOOT固件（支持MAC读写和增益读写）
  * 合入HTTP升级的断点续传功能
  * 修复RAW SOCKET功能的BUG
  * 完善WEB SOCKET DEMO

W600 SDK V2.02.06 | 2018/07/20
==========================
  * 优化一键配网功能
  * 更新二级BOOT固件（支持UART 2M波特率升级）
  * 修复UART 接收任务消息ID处理

W600 SDK V2.02.05 | 2018/07/02
==========================
  * 修复DHCP始终获取不到IP地址时，不断网重连
  * 修复一键配网中文SSID配网问题
  * 恢复HTTPClient代码
  * Airkiss恢复为使用官方的库

W600 SDK V2.02.00 | 2018/05/07
==========================
  * W600对外发布基础SDK版本

W600 SDK V2.01.01 | 2018/03/26
==========================
  * Initial Release
  * 增加一键配网硬件过滤功能
  * 合入生产测试功能
  * 增加缺省增益功能
  * 串口透传运行异常问题修复
  * 修复一键配网BSSID加网问题和信道扫描及设置问题
  * 修复物理性能测试








